Bug 427699 - Review Request: fprint_demo - Demo of the fprint drivers
Summary: Review Request: fprint_demo - Demo of the fprint drivers
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-06 21:27 UTC by Pierre-Yves
Modified: 2008-01-29 05:17 UTC (History)
2 users (show)

Fixed In Version: 0.4-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 05:13:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Pierre-Yves 2008-01-06 21:27:26 UTC
Spec URL: http://pingoured.dyndns.org/public/RPM/fprint_demo/fprint_demo.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/fprint_demo/fprint_demo-0.4-2.fc8.src.rpm
Description: 
Graphical tool to demonstrate how works for the fprint drivers

Comment 1 Parag AN(पराग) 2008-01-07 05:50:26 UTC
Packaging looks ok.
except I think you should install icon file /usr/share/pixmaps


Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
32e663a938e19801bdd17105d5c4d310  fprint_demo-0.4.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present in separate -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop files handled correctly.
+ no scriptlets are used.
+ GUI app.

APPROVED.

SHOULD:
  Change install location of fprint-icon.png to /usr/share/pixmaps



Comment 2 Parag AN(पराग) 2008-01-12 15:14:06 UTC
ping?

Comment 3 Pierre-Yves 2008-01-12 16:46:36 UTC
pong,
sorry about that I have been busy the past days

New Package CVS Request
=======================
Package Name: fprint_demo 
Short Description: Demo of the fprint drivers
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-01-12 20:39:30 UTC
cvs done.

Comment 5 Parag AN(पराग) 2008-01-18 14:17:31 UTC
is this built?

Comment 6 Pierre-Yves 2008-01-18 15:45:15 UTC
I had to push the dependancies to stable before.

It is now waiting for testing

Comment 7 Fedora Update System 2008-01-22 15:50:34 UTC
fprint_demo-0.4-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fprint_demo'

Comment 8 Fedora Update System 2008-01-22 15:55:18 UTC
fprint_demo-0.4-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fprint_demo'

Comment 9 Fedora Update System 2008-01-29 05:13:09 UTC
fprint_demo-0.4-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-01-29 05:17:27 UTC
fprint_demo-0.4-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.